weka.core

## Class RepositoryIndexGenerator

- java.lang.Object
- - weka.core.RepositoryIndexGenerator

-     public class RepositoryIndexGenerator
      extends java.lang.Object

  Class for generating html index files and supporting text files for a Weka package meta data repository. To Run
  `java weka.core.RepositoryIndexGenerator`
  A file called "forcedRefreshCount.txt" can be used to force a cache-refresh for all internet connected users. Just increment the number in this file by 1 (or create the file with an initial value of 1 if it doesn't exist yet).
  Version:
    $Revision: 12051 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BIRD_IMAGE1`
    `static java.lang.String` | `BIRD_IMAGE2`
    `static java.lang.String` | `HEADER`
    `static java.lang.String` | `PENTAHO_IMAGE1`
    `static java.lang.String` | `PENTAHO_IMAGE2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryIndexGenerator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Main method for running the RepositoryIndexGenerator

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HEADER

          public static java.lang.String HEADER

    - #### BIRD_IMAGE1

          public static java.lang.String BIRD_IMAGE1

    - #### BIRD_IMAGE2

          public static java.lang.String BIRD_IMAGE2

    - #### PENTAHO_IMAGE1

          public static java.lang.String PENTAHO_IMAGE1

    - #### PENTAHO_IMAGE2

          public static java.lang.String PENTAHO_IMAGE2

  - ### Constructor Detail

    - #### RepositoryIndexGenerator

          public RepositoryIndexGenerator()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main method for running the RepositoryIndexGenerator
      Parameters:
        `args` - first argument needs to be the path the the repository.